;
; Create a Window...
;
hWnd = OpenWindow(0, (GetSystemMetrics_(#SM_CXSCREEN)-200)/2,(GetSystemMetrics_(#SM_CYSCREEN)-277)/2, 200, 160, #PB_Window_SystemMenu, "Toolbar by Danilo")
;
; ...and add the Toolbar
;
CreateTB(0,hWnd,50,39)                            ; Create the Toolbar
  Image1 = LoadImage(1,"TB.BMP")                  ; Load the Buttons
  Image2 = LoadImage(2,"TBMASK.BMP")              ; Load the Mask (for Transparency)
  Image3 = LoadImage(3,"HOT.BMP")                 ; Load the Hotspot Image

  SetTBimage(Image1,Image2,#TBpro_NORMAL)         ; Set the 2 Images for the Toolbar
  SetTBimage(Image3,Image2,#TBpro_HOT)            ; Set the Hotspot Pictures for
                                                  ; the Toolbar.
                                                  ; We use the same Mask for both
                                                  ; Images here, but you can do what
                                                  ; you want.
;
; Add Buttons
;
    AddTBbutton(1,1,#TBpro_Button)
    AddTBbutton(2,2,#TBpro_Button)
    AddTBbutton(3,3,#TBpro_Button)
   AddTBbreak()
    AddTBbutton(4,2,#TBpro_CheckBUTTON)
    AddTBbutton(5,3,#TBpro_CheckBUTTON)
    AddTBbutton(6,1,#TBpro_CheckBUTTON)
   AddTBbreak()
    AddTBbutton(7,3,#TBpro_PushBUTTON)
    AddTBbutton(8,2,#TBpro_PushBUTTON)
    AddTBbutton(9,1,#TBpro_PushBUTTON)

;
; Resize the MainWindow
; and update the Toolbar 1 (update required after resize!!)
;
ResizeWindow(TBwidth(),TBheight())
UpdateTB()

;
; Main Loop
;
  Repeat
         Select WaitWindowEvent()
            Case #PB_EventGadget
                 Select EventGadgetID()
                   Case 0               ; EXIT
                        End
                 EndSelect
            Case #PB_EventMenu
                 Select EventMenuID()
                   Case 1
                        CheckTBbutton(6,1)
                   Case 2
                        CheckTBbutton(5,1)
                   Case 3
                        CheckTBbutton(4,1)
                   Case 4
                        DisableTBbutton(7,1)
                   Case 5
                        DisableTBbutton(7,0)
                   Case 7
                        If IsTBbuttonPushed(7)
                           HideTBbutton(9,1)
                        Else
                           HideTBbutton(9,0)
                        EndIf
                   Case 8
                        If IsTBbuttonPushed(8)
                           For a = 1 To 3: DisableTBbutton(a,1):Next a
                        Else
                           For a = 1 To 3: DisableTBbutton(a,0):Next a
                        EndIf
                   Case 9
                        If MessageRequester("Question","Do you really want to exit ??",#PB_MessageRequester_YesNo) = 6
                           End
                        EndIf
                 EndSelect
            ; pressed CloseButton or ALT+F4 ??
            Case #PB_EventCloseWindow
                 End
         EndSelect
  ForEver 
; ExecutableFormat=Windows
; EnableAsm
; Executable=Z:\TestToolbar\PureTools_I\TOOLBAR Professional\Image Buttons\ImageButton 03.exe
; DisableDebugger
; EOF